[arch-commits] Commit in python-configargparse/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Fri Apr 3 15:10:19 UTC 2020


    Date: Friday, April 3, 2020 @ 15:10:17
  Author: felixonmars
Revision: 610823

archrelease: copy trunk to community-any

Added:
  python-configargparse/repos/community-any/PKGBUILD
    (from rev 610822, python-configargparse/trunk/PKGBUILD)
Deleted:
  python-configargparse/repos/community-any/PKGBUILD

----------+
 PKGBUILD |   64 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-04-03 15:09:59 UTC (rev 610822)
+++ PKGBUILD	2020-04-03 15:10:17 UTC (rev 610823)
@@ -1,32 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=python-configargparse
-pkgver=1.1
-pkgrel=1
-pkgdesc='A drop-in replacement for argparse that allows options to also be set via config files and/or environment variables'
-arch=('any')
-url='https://github.com/zorro3/ConfigArgParse'
-license=('MIT')
-depends=('python')
-makedepends=('python-setuptools')
-checkdepends=('python-tests' 'python-yaml')
-optdepends=('python-yaml: for YAML support')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/bw2/ConfigArgParse/archive/$pkgver.tar.gz")
-sha512sums=('a4d02d669151087fca799bad4ed2381b7487cd749055f474f17a8b0aa4a6a643d161416510b0ee80427d59c34ce4d17710730f2d23d9b74e853dadb4d8e78260')
-
-build() {
-  cd ConfigArgParse-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd ConfigArgParse-$pkgver
-  python setup.py test || warning 'Ignoring TestWrappingMetavar failure'
-}
-
-package() {
-  cd ConfigArgParse-$pkgver
-
-  python setup.py install --root="$pkgdir" --optimize=1
-  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
-}

Copied: python-configargparse/repos/community-any/PKGBUILD (from rev 610822, python-configargparse/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-04-03 15:10:17 UTC (rev 610823)
@@ -0,0 +1,32 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=python-configargparse
+pkgver=1.2
+pkgrel=1
+pkgdesc='A drop-in replacement for argparse that allows options to also be set via config files and/or environment variables'
+arch=('any')
+url='https://github.com/zorro3/ConfigArgParse'
+license=('MIT')
+depends=('python')
+makedepends=('python-setuptools')
+checkdepends=('python-tests' 'python-yaml')
+optdepends=('python-yaml: for YAML support')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/bw2/ConfigArgParse/archive/$pkgver.tar.gz")
+sha512sums=('50a125e2c03f5ec0ccd843a44109bd065c39cb3a5b72cf0ca0ab361cc1a97de56f2eef0bf04aac2cda4b302ae67cd422bf04c8e09b1bbedca3ae19a28a5f2eb9')
+
+build() {
+  cd ConfigArgParse-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd ConfigArgParse-$pkgver
+  python setup.py test || warning 'Ignoring TestWrappingMetavar failure'
+}
+
+package() {
+  cd ConfigArgParse-$pkgver
+
+  python setup.py install --root="$pkgdir" --optimize=1
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}


More information about the arch-commits mailing list